local M = {}

local function onReset()
    electrics.values['tilt'] = 0
    electrics.values['tilt_input'] = 0
end

local function updateGFX(dt)
    electrics.values['tilt'] = math.min(1, math.max(0.0, (electrics.values['tilt'] + electrics.values['tilt_input'] * dt * 0.2)))
end

-- public interface
M.onInit    = onReset
M.onReset   = onReset
M.updateGFX = updateGFX

return M
